> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# List workflow flowcharts

GET https://{tenant_name}.benchling.com/api/v2/workflow-flowcharts

List workflow flowcharts

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/workflow-flowcharts/list-workflow-flowcharts

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `ids` (string, optional) — Comma separated list of workflow flowchart IDs
- `sort` (enum, optional, default: createdAt:desc) — Method by which to order search results. Valid sorts are createdAt (creation time, most recent first). Optionally add :asc or :desc to specify ascending or descending order.
  - Allowed values: `createdAt`, `createdAt:asc`, `createdAt:desc`
- `createdAt` (date, optional) — Datetime, in RFC 3339 format. Supports the > and \< operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30.
- `nextToken` (string, optional)
- `pageSize` (integer, optional, default: 50)

## Response

### 200

OK

- `nextToken` (string, optional)
- `workflowFlowcharts` (list of WorkflowFlowchart, optional)

## Errors

### 404 Not Found Error

Not found

- `error` (NotFoundErrorError, optional)

## Types

### WorkflowFlowchart

- `createdAt` (string, optional) — The ISO formatted date and time that the flowchart was created
- `edgeConfigs` (list of WorkflowFlowchartEdgeConfig, optional) — The edges of the flowchart
- `id` (string, optional) — The ID of the flowchart
- `migratedFromFlowchartId` (string, optional, nullable) — The ID of the flowchart that this was migrated from
- `migratedToFlowchartId` (string, optional, nullable) — The ID of the flowchart that this was migrated to
- `modifiedAt` (string, optional) — The ISO formatted date and time that the flowchart was last modified
- `nodeConfigs` (list of WorkflowFlowchartNodeConfig, optional) — The nodes of the flowchart

### NotFoundErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)
- `invalidId` (string, optional)

### WorkflowFlowchartEdgeConfig

- `fromNodeConfigId` (string, optional) — The ID of the source workflow flowchart node config of this edge
- `id` (string, optional) — The ID of the workflow flowchart edge config
- `toNodeConfigId` (string, optional) — The ID of the destination workflow flowchart node config of this edge

### WorkflowFlowchartNodeConfig

- `id` (string, optional) — The ID of the workflow flowchart node config
- `nodeDetails` (WorkflowFlowchartNodeConfigNodeDetails, optional)
- `nodeType` (enum, optional) — The type associated with the node config
  - Allowed values: `ROOT`, `OUTPUT`, `TASK`, `ROUTER`, `END`

### WorkflowFlowchartNodeConfigNodeDetails

- `nodeType`: `END` (END)
  - `id` (string, optional) — The ID of the workflow flowchart end node config details
  - `name` (string, optional) — The name of the end node
- `nodeType`: `OUTPUT` (OUTPUT)
  - `id` (string, optional) — The ID of the workflow output node config details
  - `outputSchema` (SchemaSummary, optional)
- `nodeType`: `ROOT` (ROOT)
  - `id` (string, optional) — The ID of the workflow root node config details
  - `rootTaskSchema` (WorkflowTaskSchemaSummary, optional)
- `nodeType`: `ROUTER` (ROUTER)
  - `id` (string, optional) — The ID of the workflow router node config details
  - `name` (string, optional) — The name of the router node
  - `routerFunctions` (list of WorkflowRouterFunction, optional) — Router functions associated with this router node
- `nodeType`: `TASK` (TASK)
  - `id` (string, optional) — The ID of the workflow task node config details
  - `taskSchema` (WorkflowTaskSchemaSummary, optional)

### SchemaSummary

- `id` (string, optional)
- `name` (string, optional)

### WorkflowTaskSchemaSummary

- `id` (string, optional) — The ID of the workflow task schema
- `name` (string, optional) — The name of the workflow task schema

### WorkflowRouterFunction

- `edgeConfigId` (string, optional) — The ID of the workflow flowchart edge config associated with this function
- `id` (string, optional) — The function associated with a router node
- `isDefault` (any, optional)
- `name` (string, optional) — The name of a function associated with a router node

## Examples

**Response**

```json
{
  "nextToken": "Im5ldyB0ZXN0Ig==",
  "workflowFlowcharts": [
    {
      "createdAt": "2020-08-01T00:00:00.000Z",
      "edgeConfigs": [
        {
          "fromNodeConfigId": "wffcnc_giVNQcTL",
          "id": "wffcec_giVNQcTL",
          "toNodeConfigId": "wffcnc_giVNQcAF"
        }
      ],
      "id": "wffc_7fc412",
      "migratedFromFlowchartId": "wffc_1de847",
      "migratedToFlowchartId": "wffc_df2993",
      "modifiedAt": "2020-08-01T00:00:00.000Z",
      "nodeConfigs": [
        {
          "id": "string",
          "nodeDetails": {
            "nodeType": "ROOT",
            "id": "wfrnd_hbVNQcEM",
            "rootTaskSchema": {
              "id": "string",
              "name": "string"
            }
          },
          "nodeType": "ROOT"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/workflow-flowcharts"

querystring = {"nextToken":"Im5ldyB0ZXN0Ig=="}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/workflow-flowcharts?nextToken=Im5ldyB0ZXN0Ig%3D%3D';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```